declare class StorageAdapter {
    static session: StorageAdapter;
    static local: StorageAdapter;
    private storage;
    constructor(type: "session" | "local");
    setItem(key: string, value: string | number | Record<string, any>): void;
    getItem(key: string): any;
    removeItem(key: string): void;
    getStorage(): Storage;
    get length(): number;
    clear(): void;
    key(index: number): string;
}
export { StorageAdapter };
